Boolean Example |
Using Programming Languages other than VBA
Sub Example_Boolean() ' This example creates a box and a cylinder in model space. ' It then performs a Boolean operation on the two solids. Dim boxObj As Acad3DSolid Dim boxLength As Double, boxWidth As Double, boxHeight As Double Dim boxCenter(0 To 2) As Double boxCenter(0) = 5#: boxCenter(1) = 5#: boxCenter(2) = 0 boxLength = 10#: boxWidth = 7: boxHeight = 10# ' Create the box (3DSolid) object in model space Set boxObj = ThisDrawing.ModelSpace.AddBox(boxCenter, boxLength, boxWidth, boxHeight) ' Define the cylinder Dim cylinderObj As Acad3DSolid Dim cylinderCenter(0 To 2) As Double Dim cylinderRadius As Double Dim cylinderHeight As Double cylinderCenter(0) = 0#: cylinderCenter(1) = 0#: cylinderCenter(2) = 0# cylinderRadius = 5# cylinderHeight = 20# ' Create the Cylinder (3DSolid) object in model space Set cylinderObj = ThisDrawing.ModelSpace.AddCylinder(cylinderCenter, cylinderRadius, cylinderHeight) ' Change the viewing direction of the viewport Dim NewDirection(0 To 2) As Double NewDirection(0) = -1: NewDirection(1) = -1: NewDirection(2) = 1 ThisDrawing.ActiveViewport.direction = NewDirection ThisDrawing.ActiveViewport = ThisDrawing.ActiveViewport ZoomAll ' Perform an intersection on the two solids MsgBox "Perform an intersection on the two solids.", vbOKOnly, "Boolean Example" boxObj.Boolean acIntersection, cylinderObj ThisDrawing.Regen True MsgBox "Intersection complete.", , "Boolean Example" End Sub
Comments? |